package com.example.demo.service;

import com.example.demo.entity.Member;
import com.example.demo.repository.MemberRepository;
import lombok.RequiredArgsConstructor;
import org.springframework.scheduling.annotation.Async;
import org.springframework.stereotype.Service;
import javax.transaction.Transactional;

@Service
@Transactional
@RequiredArgsConstructor
public class MemberService {
    private final MemberRepository memberRepository;

    public Member saveMember(Member member) {
        if (!validateDuplicatetMember(member)) {
            throw new IllegalStateException("이미 가입된 회원입니다.");
        }
        return memberRepository.save(member);
    }

    private boolean validateDuplicatetMember(Member member) {
        Member findMember = memberRepository.findByEmail(member.getEmail());
        return findMember == null;
    }
}